using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace F82058
{
    public partial class Form1 : Form
    {
        int rowcount = 20;
        string[] dept ={ "CIVIL", "MECHANICAL", "EEE", "ECE", "IT", "CSE", "BIO-TECH", "AERO", "MARINE", "TEXTILE", "EEE", "ECE", "IT", "CSE", "BIO-TECH", "AERO", "MARINE", "CIVIL", "MECHANICAL", "TEXTILE" };
        string[] year ={ "I", "II", "III", "IV", "III", "I", "IV", "II", "III", "I", "II", "III", "IV", "III", "I", "IV", "II", "II", "III", "IV" };

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.gridListControl1.DataSource = CreateTable();
            this.gridListControl1.MultiColumn = true;
            this.gridListControl1.Grid.PrepareViewStyleInfo += new Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventHandler(Grid_PrepareViewStyleInfo);
            this.gridListControl1.Grid.CheckBoxClick += new GridCellClickEventHandler(Grid_CheckBoxClick);
        }

        bool checkboxvalue = true;
        bool b = false;
        int row=-1, col=-1;
        void Grid_CheckBoxClick(object sender, GridCellClickEventArgs e)
        {
            if (checkboxvalue)
            {
                b = checkboxvalue;
                row = e.RowIndex;
                col = e.ColIndex;
            }
        }

        void Grid_PrepareViewStyleInfo(object sender, Syncfusion.Windows.Forms.Grid.GridPrepareViewStyleInfoEventArgs e)
        {
            if (e.ColIndex == 5 && e.RowIndex > 0)
            {
                e.Style.CellType = "CheckBox";
                e.Style.CheckBoxOptions = new GridCheckBoxCellInfo("True", "False", "", false);
                e.Style.TriState = false;
                if (col != -1 && row != -1 && e.ColIndex == col && e.RowIndex == row)
                    e.Style.CellValue = b;
            }
        }

        private DataTable CreateTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("SNo");
            dt.Columns.Add("StudentID");
            dt.Columns.Add("Department");
            dt.Columns.Add("Year");
            dt.Columns.Add("Location",typeof(bool));

            for (int i = 0; i < rowcount; i++)
            {
                DataRow dr = dt.NewRow();
                if ((i + 1) < 10)
                {
                    dr[0] = "0" + (i + 1).ToString();
                    dr[1] = "S" + "0" + (i + 1).ToString();
                }
                else
                {
                    dr[0] = (i + 1).ToString();
                    dr[1] = "S" + (i + 1).ToString();
                }
                dr[2] = dept[i];
                dr[3] = year[i];
                dr[4] = false;
                dt.Rows.Add(dr);
            }
            return dt;
        }
    }
}